Better way to calculate Edge Edge intersection?

I am trying to use TopOpeBRep_ShapeIntersector to calculate intersecting points/segments of two TopoDS_Edges, However, it requests to give the two TopoDS_Faces they are on.

On the Geometry level, I only see curve-surface or surface-surface intersection, 2d-curves' can be calculated, which also require surfaces on which the curves lie.

Is there another call to calculate two TopoDS_Edges' intersections? Thanks.

Stephane Routelous's picture

you can use BRepExtrema_DistShapeShape and check if Value() is 0.0

Stephane

Jane Hu's picture

Thanks, Stephane! It looks much better than what I am using!

BTW, Is there a good way to get a TopoDS_Edge's interior extrema points?

JH

Jane Hu's picture

Thanks, Stephane! It looks much better than what I am using!

BTW, Is there a good way to get a TopoDS_Edge's interior extrema with respect to 3 primary axes?

JH